Update Promotion Code

View as Markdown
Update a promotion code.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

promo_code_idstringRequired
account_idstringRequired

Request

This endpoint expects an object.
activeboolean or nullOptional
max_redemptionsinteger or nullOptional>=1
expires_atdatetime or nullOptional
restrictionsobject or nullOptional
Restrictions on promotion code usage
metadatamap from strings to any or nullOptional

Response

Successful Response
idstring
coupon_idstring
codestring
activeboolean
max_redemptionsinteger or null
times_redeemedinteger
expires_atdatetime or null
restrictionsmap from strings to any or null
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime

Errors

422
Unprocessable Entity Error